| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xhdmi_intr.c File Reference

## Overview

This file demonstrates application usage for EDID.

    MODIFICATION HISTORY:

    Ver   Who    Date     Changes

    1.00   GM     05/03/18 Initial release.

## Functions
void | XHdmi_InterruptInitialize (void)
| Initialize the HDMI ExDes interrupt queue variables. More...
u32 | XHdmi_InterruptConnect (void *Intc, u8 Id, XInterruptHandler Handler, void *CallBackRef)
| Makes the connection between the Id of the interrupt source and the associated handler that is to run when the interrupt is recognized. More...
void | XHdmi_InterruptHandler (void *CallBackRef)
| This function is the interrupt handler for the HDMI ExDes. More...
void | XHdmi_InterruptService (void)
| This function services the queued interrupts for the HDMI ExDes in the normal program flow (outside ISR). More...
u32 | XHdmi_InterruptDevIdLookUp (void *CallBackRef)
| This function will look for the interrupt device ID based on the Callback reference registered to it. More...

## Function Documentation

u32 XHdmi_InterruptConnect | ( | void * | Intc,
|  | u8 | Id,
|  | XInterruptHandler | Handler,
|  | void * | CallBackRef
| ) |  |

Makes the connection between the Id of the interrupt source and the associated handler that is to run when the interrupt is recognized.

It registers the CallBack reference and handler in the local interrupt handler table based in the DevID or interrupt bit position.

Parameters

  Intc | is a pointer to the INT controlerr instance to be worked on.
  Id | contains the ID of the interrupt source and should be in the range of 0 to MAX_NUM_INTR_INPUTS - 1 with 0 being the highest priority interrupt.
  Handler | to the handler for that interrupt.
  CallBackRef | is the callback reference, usually the instance pointer of the connecting driver.

Returns

                  - XST_SUCCESS if the handler was connected correctly.

Note

WARNING: The handler provided as an argument will overwrite any handler that was previously connected.

References XHdmi_InterruptHandler().

u32 XHdmi_InterruptDevIdLookUp | ( | void * | CallBackRef | ) |

This function will look for the interrupt device ID based on the Callback reference registered to it.

Parameters

  CallBackRef | is a pointer to the XHdmi_HandlerTable instance.

Returns
  Interrupt Device ID

Note
  None.

Referenced by XHdmi_InterruptHandler(), and XHdmi_InterruptService().

void XHdmi_InterruptHandler | ( | void * | CallBackRef | ) |

This function is the interrupt handler for the HDMI ExDes.

It will will register the CallBackRef in the tail of the interrupt queue and will disable the interrupt position to prevent interrupt storm.

Parameters

  CallBackRef | is the callback reference register in the interrupt controller.

Returns
  None.

Note
  None.

References XHdmi_InterruptDevIdLookUp().

Referenced by XHdmi_InterruptConnect().

void XHdmi_InterruptInitialize | ( | void |  | ) |

Initialize the HDMI ExDes interrupt queue variables.

Parameters

  None. |

Returns
  None.

Note
  None.

void XHdmi_InterruptService | ( | void |  | ) |

This function services the queued interrupts for the HDMI ExDes in the normal program flow (outside ISR).

It will invoke the appropriate callback for the corresponding interrupt and will re-enable the interrupt bit in the INT controller after servicing.

Parameters

  None. |

Returns
  None.

Note
  None.

References XHdmi_InterruptDevIdLookUp().